// File: DAGAdManipulation.h
// Author: Francesco Giacomini <Francesco.Giacomini@cnaf.infn.it>
// Copyright (c) 2003 EU DataGrid.
// For license conditions see http://www.eu-datagrid.org/license.html

// $Id: DAGAdManipulation.h,v 1.4 2005/10/04 17:24:08 giaco Exp $

#ifndef GLITE_WMS_COMMON_REQUESTAD_DAGADMANIPULATION_H
#define GLITE_WMS_COMMON_REQUESTAD_DAGADMANIPULATION_H

#include <string>
#include <vector>

namespace glite {
namespace wms {
namespace jdl {

class DAGAd;

bool set_edg_jobid(DAGAd& dagad, std::string const& id);
std::string get_edg_jobid(DAGAd const& dagad);
bool remove_edg_jobid(DAGAd& dagad);

bool set_x509_user_proxy(DAGAd& dagad, std::string const& proxy);
std::string get_x509_user_proxy(DAGAd const& dagad);
bool remove_x509_user_proxy(DAGAd& dagad);

bool set_certificate_subject(DAGAd& dagad, std::string const& subject);
std::string get_certificate_subject(DAGAd const& dagad);
bool remove_certificate_subject(DAGAd& dagad);

bool set_my_proxy_server(DAGAd& dagad, std::string const& id);
std::string get_my_proxy_server(DAGAd const& dagad);
bool remove_my_proxy_server(DAGAd& dagad);

bool set_lb_sequence_code(DAGAd& dagad, std::string const& sequence_code);
std::string get_lb_sequence_code(DAGAd const& dagad);
bool remove_lb_sequence_code(DAGAd& dagad);

bool set_input_sandbox(DAGAd& dagad, std::vector<std::string> const& is);
std::vector<std::string> get_input_sandbox(DAGAd const& dagad);
bool remove_input_sandbox(DAGAd& dagad);

bool set_virtual_organisation(DAGAd& dagad, std::string const& vo);
std::string get_virtual_organisation(DAGAd const& dagad);
bool remove_virtual_organisation(DAGAd& dagad);

bool get_nodes_collocation(DAGAd const& dagad);

bool check_vo(DAGAd const& dagad);

bool parent_child(DAGAd const& dagad, std::string const& parent_node, std::string const& child_node);

} // jdl namespace
} // wms namespace
} // glite namespace

#endif

// Local Variables:
// mode: c++
// End:
