#ifndef GLITE_WMS_COMMON_REQUESTAD_MANIPULATIONEXCEPTIONS_H
#define GLITE_WMS_COMMON_REQUESTAD_MANIPULATIONEXCEPTIONS_H

#include <string>
#include <exception>

namespace glite { 
namespace wms { 
namespace jdl {

class ManipulationException : public std::exception {
public:
  explicit ManipulationException( const std::string &parameter );
  virtual ~ManipulationException( void ) throw();

  inline std::string parameter( void ) const { return this->me_parameter; }

  virtual const char *what( void ) const throw();
  virtual std::string reason( void ) const;

protected:
  std::string   me_parameter;

private:
  mutable std::string   me_reason;
};

class CannotGetAttribute : public ManipulationException {
public:
  explicit CannotGetAttribute( const std::string &parameter );
  virtual ~CannotGetAttribute( void ) throw();

  virtual std::string reason( void ) const;
};

class CannotSetAttribute : public ManipulationException {
public:
  explicit CannotSetAttribute( const std::string &parameter );
  virtual ~CannotSetAttribute( void ) throw();

  virtual std::string reason( void ) const;
};

class CannotRemoveAttribute : public ManipulationException {
public:
  explicit CannotRemoveAttribute( const std::string &parameter );
  virtual ~CannotRemoveAttribute( void ) throw();

  virtual std::string reason( void ) const;
};

} // jdl namespace
} // wms namespace
} // glite namespace

#endif /* GLITE_WMS_COMMON_REQUESTAD_MANIPULATIONEXCEPTIONS_H */

// Local Variables:
// mode: c++
// End:
