// File: convert.h
// Author: Francesco Giacomini <Francesco.Giacomini@cnaf.infn.it>
// Copyright (c) 2002 EU DataGrid.
// For license conditions see http://www.eu-datagrid.org/license.html

// $Id: convert.h,v 1.4 2004/06/18 13:50:26 eronchie Exp $

#ifndef GLITE_WMS_COMMON_REQUESTAD_CONVERT_H
#define GLITE_WMS_COMMON_REQUESTAD_CONVERT_H

#include <iosfwd>

namespace classad {
class ClassAd;
}

namespace glite {
namespace wms {
namespace jdl {

class DAGAd;

// convert a classad for a job to a condor submit file (stream in general)
std::ostream& to_submit_stream(std::ostream& os, classad::ClassAd const& ad);

// convert a DAGAd to a condor DAG file (stream in general)
std::ostream& to_dag_stream(std::ostream& os, DAGAd const& dag_ad);

bool to_dag_job(DAGAd const& dag_ad, classad::ClassAd& result);

} // jdl namespace
} // wms namespace
} // glite namespace

#endif // GLITE_WMS_COMMON_REQUESTAD_CONVERT_H
